[Quote]

    puhpol
  • 2
  • Longevity: 5 years 6 months
  • Posts: 930
  • REPUTATION:59

    [+] [-]
Иногда просто нужно иметь на сервере несколько версий PHP. Мне понравился такой вариант:
На сервере установлена CentOS и панель управления ВЕСТА.
Входим на сервер по протоколу ssh под пользователем root
Вводим команду:
wget https://raw.githubusercontent.com/Skamasle/sk-php-selector/master/sk-php-selector2.sh
(скачиваем скрипт)
Запускаем скрипт с указанием нужных версий PHP:
bash sk-php-selector2.sh php54 php56 php55 php70 php71 php72
.
Входим на панель ВЕСТА, в раздел редактирования домена, в настройках HTTPD выбираем нужный шаблон.
.
З.Ы. Если скрипту указать версию PHP уже имеющуюся на сервере, у меня выдало ошибку.

[Quote]

    волчара
  • 253
  • Longevity: 5 years 3 months
  • Posts: 440
  • REPUTATION:13

    [+] [-]
  • Location: Омск
puhpol, aa
69266З.Ы. Если скрипту указать версию PHP уже имеющуюся на сервере, у меня выдало ошибку.
Я так думаю что скорей всего php7.4(она по умолчанию установлена) удаляет и при
69266Запускаем скрипт с указанием нужных версий PHP:
нужно добавлять php7.4, т.е. делать так:
bash sk-php-selector2.sh php54 php56 php55 php70 php71 php72 php73 php74
могу и ошибаться, я бы добавил все версии php, так на всякий случай.


Display posts:    

Current time is: 28-May 18:40

All times are UTC + 3


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum